Subject: Commit in docs/usefor (usepro.xml)

From: [email-masked]
Date: Sun, 7 Jun 2009 21:12:25 -0700 (PDT)

Date: Sunday, June 7, 2009 @ 21:12:25
  Author: eagle
Revision: 5949

Further updates to the message/news and application/news-transmission
IANA registration templates to match what IANA currently has in their
registration database and, for message/news, the original registration
from Henry Spencer.

Change the security considerations for application/news-transmission to
use the superior wording from Henry Spencer's message/news registration.

Modified:
  docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml	2009-06-08 01:48:50 UTC (rev 5948)
+++ docs/usefor/usepro.xml	2009-06-08 04:12:25 UTC (rev 5949)
@@ -1498,12 +1498,14 @@
       registered with IANA as provided for in <xref target="RFC4288"
       />.</t>
 
-      <t>The media type message/news, as previously registered with
-      IANA, is hereby declared obsolete.  It was never widely
-      implemented, and its default treatment as application/octet-stream
-      by agents that did not recognize it was counter-productive.  The
-      media type message/rfc822 (defined in Section 5.2.1 of
-      <xref target="RFC2046" />) SHOULD be used in its place.</t>
+      <t>The media type message/news, as previously registered with IANA,
+      is hereby declared obsolete.  The intent of this media type was to
+      define a standard way of transmitting news articles via mail for
+      human reading.  However, it was never widely implemented, and its
+      default treatment as application/octet-stream by agents that did not
+      recognize it was counter-productive.  The media type message/rfc822
+      (defined in Section 5.2.1 of <xref target="RFC2046" />) SHOULD be
+      used in its place.</t>
 
       <figure>
         <preamble>The updated MIME media type definition of message/news
@@ -1516,18 +1518,30 @@
 
    Required parameters:      none
 
-   Optional parameters:      charset, compare message/rfc822
+   Optional parameters:      none
 
-   Encoding considerations:  compare message/rfc822 (RFC 2046)
+   Encoding considerations:  same as message/rfc822
 
-   Security considerations:  OBSOLETE, use message/rfc822.
+   Security considerations:  News articles may constitute "control
+                             messages", which can have effects on a
+                             host's news system beyond just addition
+                             of information.  Since control messages
+                             may occur in normal news flow, most hosts
+                             are suitably defended against undesired
+                             effects already, but transmission of news
+                             articles via mail may bypass
+                             firewall-type defenses.  Reading a news
+                             article transmitted by mail involves no
+                             hazards beyond those of mail, but
+                             submitting it to news software for
+                             processing should be done with care.
 
    Interoperability considerations:
                              Rarely used, and therefore often
                              handled as application/octet-stream.
                              Disposition should by default be inline.
 
-   Published specification:  RFC 1036, RFC 5537
+   Published specification:  RFC 5537
 
    Applications that use this media type:
                              Some old mail and news user agents.
@@ -1571,12 +1585,17 @@
                              supplied to ensure correct transmission
                              over some 7bit transport medium.
 
-   Security considerations:  A news article may be a control message
-                             that, if processed, could have effects on
-                             the recipient host's system beyond just
-                             storage of the article.
+   Security considerations:  News articles may constitute "control
+                             messages", which can have effects on a
+                             host's news system beyond just addition
+                             of information.  Since control messages
+                             may occur in normal news flow, most hosts
+                             are suitably defended against undesired
+                             effects already, but transmission of news
+                             articles via mail may bypass
+                             firewall-type defenses.
 
-   Published specification:  RFC 1036, RFC 5537
+   Published specification:  RFC 5537
 
    Body part:                A complete proto-article ready for
                              injection into Netnews or an article